*{
    box-sizing: border-box;
}

button{
    border: 3px solid black;    
}

.gameboard-container{
    display: grid;
    grid-template-columns: repeat(9,10vh);
    grid-template-rows: repeat(9,10vh);
    background-image: url('./imgs/gameboard.png');
    background-size: contain;
    background-repeat: no-repeat;
}

.card-container {
    grid-column: 2 / span 7;
    grid-row: 2 / span 7;
    display: grid;
    grid-template-columns: repeat(6,10vh);
    grid-template-rows: repeat(5,10vh);
    justify-content: center;
    align-content: center;
}

.sad-heart{
    display: grid;
    grid-column: 4 / span 2;
    grid-row: 3;
    max-height: 20vh;
}

.gameover-image { 
    display: grid;
    grid-column: 3 / span 5;
    grid-row: 4 / span 2;
    height: 20vh;
    width: 50vh;
    justify-content: center;
    align-content: center;
}

.play-again{
    grid-column: 4 / span 3;
    grid-row: 6;
    display: grid;
    grid-template-columns: 30vh;
    grid-template-rows: 10vh;
}

.level-select{
    grid-column: 4 / span 3;
    grid-row: 4 /span 3;
    display: grid;
    grid-template-columns: 300vh;
    grid-template-rows: repeat(3,10vh);
    display: none;
}

.brain-container{
    grid-column: 3 / span 5;
    grid-row: 8;
    display: grid;
    grid-template-columns: repeat(5,10vh);
    grid-template-rows: repeat(1,10vh);
}

.easy{
    grid-column: 4 / span 3;
    grid-row: 4;
    display: grid;
    grid-template-columns: 30vh;
    grid-template-rows: 10vh;  
} 
.medium{
    grid-column: 4 / span 3;
    grid-row: 5;
    display: grid;
    grid-template-columns: 30vh;
    grid-template-rows: 10vh;
}
.hard{
    grid-column: 4 / span 3;
    grid-row: 6;
    display: grid;
    grid-template-columns: 30vh;
    grid-template-rows: 10vh;
}  

.button-container, .play-again-container{
    position: fixed;
    display: grid;
    justify-content: center;
    align-items: center;;
    grid-column: 2 / span 7;
    grid-row: 2 / span 7;
    grid-template-columns: repeat(9,10vh);
    grid-template-rows: repeat(9,10vh);
    justify-content: center;
    align-content: center;
}

button{
    border-radius: 100px;
    font-size: 3vh;
    border: 5px solid black;
    height: 8vh;
    align-content: bottom;
}

img{
    background-size: contain;
}

img.game-squares{
    border: 2px solid black;
}

.brains4 {
    grid-column: 5;
    height: 8vh;
    place-self: center;
}
.brains3 {
    grid-column: 4;
    height: 8vh;
    place-self: center;
}
.brains2 {
    grid-column: 3;
    height: 8vh;
    place-self: center;
}
.brains1 {
    grid-column: 2;
    height: 8vh;
    place-self: center;
}
.brains0 {
    grid-column: 1;
    height: 8vh;
    place-self: center;
}

.game-squares{
    background-color: rgb(211, 33, 199);
    height: 80%;
    width: 80%;
    margin: 0;
    place-self: center;
}

.hidden {
    display: none;
}

